Public Attributes | List of all members
clan::StyleParser Class Reference

Parser interface used during property parsing. More...

`#include <style_property_parser.h>`

## Public Attributes
bool | important_flag = false
| True if the !important flag was specified in the style string. More...
std::vector< StyleToken > | tokens
| Tokenized style string relevant for parsing a property. More...

## Detailed Description

Parser interface used during property parsing.

## Member Data Documentation

bool clan::StyleParser::important_flag = false

True if the !important flag was specified in the style string.

std::vector<StyleToken> clan::StyleParser::tokens

Tokenized style string relevant for parsing a property.

The documentation for this class was generated from the following file:

- style_property_parser.h